# 8.42:  Solve the earlier problem.  Now that we can 'cast' or change dtypes, change the .precip
# column to numeric so we can complete the compound test.

import pandas as pd

fname = '../weather_newyork_narrow.csv'

df = pd.read_csv(fname)

df.precip = df.precip.replace('T', 0)


df.precip = df.precip.astype(float)

hitemps = df.loc[ (df.high > 90) & (df.precip > 0.5) ]

print(hitemps)

